#!/bin/bash

# Check if $name is set
if [[ -z "${name}" ]]; then
  echo "Error: Variable \$name is not set. Exiting (displaycontroller.sh)."
  exit 1
fi

cat <<EOM > admin/src/View/${name^}/HtmlView.php
<?php

namespace Harvst\\Component\\${name^}\\Administrator\\View\\${name^};

defined('_JEXEC') or die;

use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;

class HtmlView extends BaseHtmlView {
    
    function display(\$tpl = null) {
        parent::display(\$tpl);
    }

}

EOM
